FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::SetExprHelper Struct Reference

## Public Member Functions
| SetExprHelper (GenericExprWrapper &&expr)
void | Set (parser::TypedExpr &x)
void | Set (const parser::Expr &x)
void | Set (const parser::Variable &x)
void | Set (const parser::DataStmtConstant &x)
template<typename T >
void | Set (const common::Indirection< T > &x)
template<typename T >
void | Set (const T &x)

## Public Attributes
GenericExprWrapper | expr_

The documentation for this struct was generated from the following file:

- include/flang/Semantics/expression.h